Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.event
Class StandardMapMouseInterpreter.MouseTimerListener

    java.lang.Object
      com.bbn.openmap.omGraphics.event.StandardMapMouseInterpreter.MouseTimerListener

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

Enclosing class:
  StandardMapMouseInterpreter

protected class StandardMapMouseInterpreter.MouseTimerListener
extends java.lang.Object
implements java.awt.event.ActionListener

The definition of the listener that calls updateMouseMoved when the timer goes off.

Constructor Summary
`protected` | `StandardMapMouseInterpreter.MouseTimerListener()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)`
`void` | `setEvent(java.awt.event.MouseEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardMapMouseInterpreter.MouseTimerListener

    protected StandardMapMouseInterpreter.MouseTimerListener()

Method Detail

### setEvent

    public void setEvent(java.awt.event.MouseEvent e)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details